Package org.eclipse.mat.inspections

# Class ReferenceLeakQuery

java.lang.Object
org.eclipse.mat.inspections.ReferenceLeakQuery

All Implemented Interfaces:
  `IQuery`

public class ReferenceLeakQuery extends Object implements IQuery
Extract information about objects referenced by java.lang.ref.Reference, e.g. weak and soft references, and Finalizer which are also strongly held by the reference, so causing a possible leak.

## Field Summary

Fields
Modifier and Type
Field
Description
`IQueryContext`
`context`
`double`
`factor`
`int`
`maxobjs`
`int`
`maxpaths`
`int`
`maxresults`
`IHeapObjectArgument`
`objects`
`String`
`referent_attribute`
`ISnapshot`
`snapshot`

## Constructor Summary

Constructors
Constructor
Description
`ReferenceLeakQuery()`

## Method Summary

Modifier and Type
Method
Description
`IResult`
`execute(IProgressListener listener)`
The execute method is called after all arguments have been injected into the query instance.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### snapshot

public ISnapshot snapshot

### context

public IQueryContext context

### objects

public IHeapObjectArgument objects

### referent_attribute

public String referent_attribute

### maxresults

public int maxresults

### maxpaths

public int maxpaths

### maxobjs

public int maxobjs

### factor

public double factor

## Constructor Details

### ReferenceLeakQuery

public ReferenceLeakQuery()

## Method Details

### execute

public IResult execute(IProgressListener listener) throws Exception
Description copied from interface: `IQuery`
The execute method is called after all arguments have been injected into the query instance. Typical results are `TextResult`, `CompositeResult`, `SectionSpec` etc.

Specified by:
  `execute` in interface `IQuery`
Parameters:
  `listener` - Monitor to report progress and check for cancellation.
Returns:
  The result of the query.
Throws:
  `Exception` - if something went wrong running the query